# ippdoclint(1)

## Name

ippdoclint - check common document formats

## Synopsis

ippdoclint [ --help ] [ --version ] [ -i input/format ] [ -o "name=value [... name=value]" ] [ -v ] filename

## Description

ippdoclint checks the input file for format errors and reports the number of impressions (sides), sheets, and (input) pages in the file.

## Options

The following options are recognized by ippdoclint:

--help
  Shows program help.
--version
  Shows program version.
-i input/format
  Specifies the MIME media type of the input file. Currently the "application/pdf" (PDF), "image/jpeg" (JPEG), "image/pwg-raster" (PWG Raster), and "image/urf" (Apple Raster) MIME media types are supported.
-o "name=value [... name=value]"
  Specifies one or more named options for the conversion. Currently the "copies", "page-ranges", "print-color-mode", and "sides" options are supported. See the NAMED OPTIONS section for more information.
-v
  Increases the verbosity for any diagnostics.

## Named Options

The following named options are supported:

copies
  Specifies the number of copies that should be produced.
page-ranges
  Selects a single range of pages to check. For example, the value "5-12" selects pages 5 through 12.
print-color-mode
  Specifies the color mode as "auto" (automatic), "monochrome" (grayscale), or "color".
sides
  Specifies whether to do 1-sided printing ("one-sided") or 2-sided printing ("two-sided-long-edge" for portrait and "two-sided-short-edge" for landscape).

## Diagnostics

ippdoclint sends all messages to the standard error. Each message is prefixed with "ERROR", "INFO", or "DEBUG" depending on the level of verbosity. ippdoclint also sends "STATE" and "ATTR" messages corresponding to IPP "job-state-reasons" keywords and Job Status attributes.

## Exit Status

The ippdoclint program returns 0 if the input file is correctly formatted and 1 otherwise.

## Environment

ippdoclint recognizes the following environment variables:

CONTENT_TYPE
  Specifies the MIME media type of the input file.
IPP_xxx
  Specifies the value of the "xxx" Job Template attribute, where "xxx" is converted to uppercase. For example, the "copies" Job Template attribute is stored as the "IPP_COPIES" environment variable.
IPP_xxx_DEFAULT
  Specifies the default value of the corresponding "xxx-default" Printer Description attribute, where "xxx" is converted to uppercase. For example, the "copies-default" Printer Description attribute is stored as the "IPP_COPIES_DEFAULT" environment variable.
SERVER_LOGLEVEL
  Specifies the log level (verbosity) as "error", "info", or "debug".

## Examples

Check a PDF file:

        ippdoclint filename.pdf

Check a JPEG file:

        ippdoclint filename.jpg

## See Also

ipptransform(7), ipptransform3d(7), PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

## Copyright

Copyright © 2018-2019 by the IEEE-ISTO Printer Working Group.